Loading...
Searching...
No Matches
irr::scene::IParticleCylinderEmitter Class Referenceabstract

A particle emitter which emits from a cylindrically shaped space. More...

`#include <IParticleCylinderEmitter.h>`

Inheritance diagram for irr::scene::IParticleCylinderEmitter:

## Public Member Functions

virtual const core::vector3df & | getCenter () const =0
| Get the center of the cylinder.
virtual f32 | getLength () const =0
| Get the center of the cylinder.
virtual const core::vector3df & | getNormal () const =0
| Get the normal of the cylinder.
virtual bool | getOutlineOnly () const =0
| Get whether or not to draw points inside the cylinder.
virtual f32 | getRadius () const =0
| Get the radius of the cylinder.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual void | setCenter (const core::vector3df &center)=0
| Set the center of the radius for the cylinder, at one end of the cylinder.
virtual void | setLength (f32 length)=0
| Set the length of the cylinder.
virtual void | setNormal (const core::vector3df &normal)=0
| Set the normal of the cylinder.
virtual void | setOutlineOnly (bool outlineOnly=true)=0
| Set whether or not to draw points inside the cylinder.
virtual void | setRadius (f32 radius)=0
| Set the radius of the cylinder.
Public Member Functions inherited from irr::scene::IParticleEmitter
virtual s32 | emitt (u32 now, u32 timeSinceLastCall, SParticle *&outArray)=0
| Prepares an array with new particles to emitt into the system.
virtual const core::vector3df & | getDirection () const =0
| Get direction the emitter emits particles.
virtual s32 | getMaxAngleDegrees () const =0
| Get maximal random derivation from the direction.
virtual u32 | getMaxLifeTime () const =0
| Get the maximum particle life-time in milliseconds.
virtual u32 | getMaxParticlesPerSecond () const =0
| Get the maximum number of particles the emitter emits per second.
virtual const video::SColor & | getMaxStartColor () const =0
| Get the maximum starting color for particles.
virtual const core::dimension2df & | getMaxStartSize () const =0
| Get the maximum starting size for particles.
virtual u32 | getMinLifeTime () const =0
| Get the minimum particle life-time in milliseconds.
virtual u32 | getMinParticlesPerSecond () const =0
| Get the minimum number of particles the emitter emits per second.
virtual const video::SColor & | getMinStartColor () const =0
| Get the minimum starting color for particles.
virtual const core::dimension2df & | getMinStartSize () const =0
| Get the minimum starting size for particles.
virtual void | setDirection (const core::vector3df &newDirection)=0
| Set direction the emitter emits particles.
virtual void | setMaxAngleDegrees (s32 maxAngleDegrees)=0
| Set maximal random derivation from the direction.
virtual void | setMaxLifeTime (u32 lifeTimeMax)=0
| Set the maximum particle life-time in milliseconds.
virtual void | setMaxParticlesPerSecond (u32 maxPPS)=0
| Set maximum number of particles the emitter emits per second.
virtual void | setMaxStartColor (const video::SColor &color)=0
| Set maximum starting color for particles.
virtual void | setMaxStartSize (const core::dimension2df &size)=0
| Set the maximum starting size for particles.
virtual void | setMinLifeTime (u32 lifeTimeMin)=0
| Set the minimum particle life-time in milliseconds.
virtual void | setMinParticlesPerSecond (u32 minPPS)=0
| Set minimum number of particles the emitter emits per second.
virtual void | setMinStartColor (const video::SColor &color)=0
| Set minimum starting color for particles.
virtual void | setMinStartSize (const core::dimension2df &size)=0
| Set the minimum starting size for particles.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

A particle emitter which emits from a cylindrically shaped space.

Definition at line 16 of file IParticleCylinderEmitter.h.

## Member Function Documentation

## getCenter()

virtual const core::vector3df & irr::scene::IParticleCylinderEmitter::getCenter | ( |  | ) | const

pure virtual

Get the center of the cylinder.

## getLength()

virtual f32 irr::scene::IParticleCylinderEmitter::getLength | ( |  | ) | const

pure virtual

Get the center of the cylinder.

## getNormal()

virtual const core::vector3df & irr::scene::IParticleCylinderEmitter::getNormal | ( |  | ) | const

pure virtual

Get the normal of the cylinder.

## getOutlineOnly()

virtual bool irr::scene::IParticleCylinderEmitter::getOutlineOnly | ( |  | ) | const

pure virtual

Get whether or not to draw points inside the cylinder.

## getRadius()

virtual f32 irr::scene::IParticleCylinderEmitter::getRadius | ( |  | ) | const

pure virtual

Get the radius of the cylinder.

## getType()

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleCylinderEmitter::getType | ( |  | ) | const

inline virtual

Get emitter type.

Reimplemented from irr::scene::IParticleEmitter.

Definition at line 51 of file IParticleCylinderEmitter.h.

References irr::scene::EPET_CYLINDER.

## setCenter()

virtual void irr::scene::IParticleCylinderEmitter::setCenter | ( | const core::vector3df & | center | ) |

pure virtual

Set the center of the radius for the cylinder, at one end of the cylinder.

## setLength()

virtual void irr::scene::IParticleCylinderEmitter::setLength | ( | f32 | length | ) |

pure virtual

Set the length of the cylinder.

## setNormal()

virtual void irr::scene::IParticleCylinderEmitter::setNormal | ( | const core::vector3df & | normal | ) |

pure virtual

Set the normal of the cylinder.

## setOutlineOnly()

virtual void irr::scene::IParticleCylinderEmitter::setOutlineOnly | ( | bool | outlineOnly = true | ) |

pure virtual

Set whether or not to draw points inside the cylinder.

## setRadius()

virtual void irr::scene::IParticleCylinderEmitter::setRadius | ( | f32 | radius | ) |

pure virtual

Set the radius of the cylinder.

The documentation for this class was generated from the following file:

- IParticleCylinderEmitter.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0